List a subject's hits
curl --request POST \
--url https://lens-api.tic.io/screening/{screeningId}/subjects/{subjectId}/hits \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"startRow": 123,
"endRow": 123,
"rowGroupCols": [
{
"id": "<string>",
"displayName": "<string>",
"field": "<string>"
}
],
"groupKeys": [
"<string>"
],
"filterModel": [
{
"columnName": "<string>",
"filterType": "<string>"
}
],
"sortModel": [
{
"colId": "<string>"
}
]
}
'import requests
url = "https://lens-api.tic.io/screening/{screeningId}/subjects/{subjectId}/hits"
payload = {
"startRow": 123,
"endRow": 123,
"rowGroupCols": [
{
"id": "<string>",
"displayName": "<string>",
"field": "<string>"
}
],
"groupKeys": ["<string>"],
"filterModel": [
{
"columnName": "<string>",
"filterType": "<string>"
}
],
"sortModel": [{ "colId": "<string>" }]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
startRow: 123,
endRow: 123,
rowGroupCols: [{id: '<string>', displayName: '<string>', field: '<string>'}],
groupKeys: ['<string>'],
filterModel: [{columnName: '<string>', filterType: '<string>'}],
sortModel: [{colId: '<string>'}]
})
};
fetch('https://lens-api.tic.io/screening/{screeningId}/subjects/{subjectId}/hits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lens-api.tic.io/screening/{screeningId}/subjects/{subjectId}/hits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startRow' => 123,
'endRow' => 123,
'rowGroupCols' => [
[
'id' => '<string>',
'displayName' => '<string>',
'field' => '<string>'
]
],
'groupKeys' => [
'<string>'
],
'filterModel' => [
[
'columnName' => '<string>',
'filterType' => '<string>'
]
],
'sortModel' => [
[
'colId' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json-patch+json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lens-api.tic.io/screening/{screeningId}/subjects/{subjectId}/hits"
payload := strings.NewReader("{\n \"startRow\": 123,\n \"endRow\": 123,\n \"rowGroupCols\": [\n {\n \"id\": \"<string>\",\n \"displayName\": \"<string>\",\n \"field\": \"<string>\"\n }\n ],\n \"groupKeys\": [\n \"<string>\"\n ],\n \"filterModel\": [\n {\n \"columnName\": \"<string>\",\n \"filterType\": \"<string>\"\n }\n ],\n \"sortModel\": [\n {\n \"colId\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lens-api.tic.io/screening/{screeningId}/subjects/{subjectId}/hits")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"startRow\": 123,\n \"endRow\": 123,\n \"rowGroupCols\": [\n {\n \"id\": \"<string>\",\n \"displayName\": \"<string>\",\n \"field\": \"<string>\"\n }\n ],\n \"groupKeys\": [\n \"<string>\"\n ],\n \"filterModel\": [\n {\n \"columnName\": \"<string>\",\n \"filterType\": \"<string>\"\n }\n ],\n \"sortModel\": [\n {\n \"colId\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lens-api.tic.io/screening/{screeningId}/subjects/{subjectId}/hits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"startRow\": 123,\n \"endRow\": 123,\n \"rowGroupCols\": [\n {\n \"id\": \"<string>\",\n \"displayName\": \"<string>\",\n \"field\": \"<string>\"\n }\n ],\n \"groupKeys\": [\n \"<string>\"\n ],\n \"filterModel\": [\n {\n \"columnName\": \"<string>\",\n \"filterType\": \"<string>\"\n }\n ],\n \"sortModel\": [\n {\n \"colId\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyScreening
List a subject's hits
The hits of one person or company in a screening, strongest first, a page at a time (AG Grid request model: startRow, endRow). onlyNew, onlyPending, category, minRating and hitRating narrow them. The full list entry of a hit: GET /screening/{screeningId}/hits/{hitId}.
POST
/
screening
/
{screeningId}
/
subjects
/
{subjectId}
/
hits
List a subject's hits
curl --request POST \
--url https://lens-api.tic.io/screening/{screeningId}/subjects/{subjectId}/hits \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"startRow": 123,
"endRow": 123,
"rowGroupCols": [
{
"id": "<string>",
"displayName": "<string>",
"field": "<string>"
}
],
"groupKeys": [
"<string>"
],
"filterModel": [
{
"columnName": "<string>",
"filterType": "<string>"
}
],
"sortModel": [
{
"colId": "<string>"
}
]
}
'import requests
url = "https://lens-api.tic.io/screening/{screeningId}/subjects/{subjectId}/hits"
payload = {
"startRow": 123,
"endRow": 123,
"rowGroupCols": [
{
"id": "<string>",
"displayName": "<string>",
"field": "<string>"
}
],
"groupKeys": ["<string>"],
"filterModel": [
{
"columnName": "<string>",
"filterType": "<string>"
}
],
"sortModel": [{ "colId": "<string>" }]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
startRow: 123,
endRow: 123,
rowGroupCols: [{id: '<string>', displayName: '<string>', field: '<string>'}],
groupKeys: ['<string>'],
filterModel: [{columnName: '<string>', filterType: '<string>'}],
sortModel: [{colId: '<string>'}]
})
};
fetch('https://lens-api.tic.io/screening/{screeningId}/subjects/{subjectId}/hits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lens-api.tic.io/screening/{screeningId}/subjects/{subjectId}/hits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startRow' => 123,
'endRow' => 123,
'rowGroupCols' => [
[
'id' => '<string>',
'displayName' => '<string>',
'field' => '<string>'
]
],
'groupKeys' => [
'<string>'
],
'filterModel' => [
[
'columnName' => '<string>',
'filterType' => '<string>'
]
],
'sortModel' => [
[
'colId' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json-patch+json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lens-api.tic.io/screening/{screeningId}/subjects/{subjectId}/hits"
payload := strings.NewReader("{\n \"startRow\": 123,\n \"endRow\": 123,\n \"rowGroupCols\": [\n {\n \"id\": \"<string>\",\n \"displayName\": \"<string>\",\n \"field\": \"<string>\"\n }\n ],\n \"groupKeys\": [\n \"<string>\"\n ],\n \"filterModel\": [\n {\n \"columnName\": \"<string>\",\n \"filterType\": \"<string>\"\n }\n ],\n \"sortModel\": [\n {\n \"colId\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lens-api.tic.io/screening/{screeningId}/subjects/{subjectId}/hits")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"startRow\": 123,\n \"endRow\": 123,\n \"rowGroupCols\": [\n {\n \"id\": \"<string>\",\n \"displayName\": \"<string>\",\n \"field\": \"<string>\"\n }\n ],\n \"groupKeys\": [\n \"<string>\"\n ],\n \"filterModel\": [\n {\n \"columnName\": \"<string>\",\n \"filterType\": \"<string>\"\n }\n ],\n \"sortModel\": [\n {\n \"colId\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lens-api.tic.io/screening/{screeningId}/subjects/{subjectId}/hits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"startRow\": 123,\n \"endRow\": 123,\n \"rowGroupCols\": [\n {\n \"id\": \"<string>\",\n \"displayName\": \"<string>\",\n \"field\": \"<string>\"\n }\n ],\n \"groupKeys\": [\n \"<string>\"\n ],\n \"filterModel\": [\n {\n \"columnName\": \"<string>\",\n \"filterType\": \"<string>\"\n }\n ],\n \"sortModel\": [\n {\n \"colId\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyPro+ tier
Returns the hits of one person or company in a screening, strongest first, a page at a time. Use it for screenings with many hits: fetch the screening with
includeHits=false to get each subject’s hit counts, then page the hits of the subjects you review. Requires the pep scope on the API key.
The body is the AG Grid request model: startRow and endRow (at most 500 rows per page). The response is { "success": true, "rows": [...], "lastrow": -1 }, where lastrow is -1 while more rows follow. Each row has the same properties as a hit.
onlyNew=true returns only hits the team had not seen before, onlyPending=true only hits without a decision, category only one kind of list (sanction, pep, regulatoryWarning or other), and minRating only hits rated at least that. The full list entry of a hit is fetched with Get a screening hit.Authorizations
Path Parameters
The screening's id
The subject's id (subjectId in the screening)
Query Parameters
Only hits the team had not seen before
Only hits without a decision
Only hits of this category: pep, sanction, regulatoryWarning or other
Available options:
other, pep, sanction, adverseMedia, regulatoryWarning Only hits rated at least this (5 identity number, 4 name and birth date, 2 name and country, 1 name only)
Only hits with exactly this rating
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Response
AG Grid page of TeamScreeningHitSummary_Dto rows